DocumentAnalysisRequestHandler (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.DocumentAnalysisRequestHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler
Class DocumentAnalysisRequestHandler

    java.lang.Object
      org.apache.solr.handler.RequestHandlerBase
          org.apache.solr.handler.AnalysisRequestHandlerBase
              org.apache.solr.handler.DocumentAnalysisRequestHandler

All Implemented Interfaces:
  SolrInfoMBean, SolrRequestHandler

    public class DocumentAnalysisRequestHandler

extends AnalysisRequestHandlerBase

An analysis handler that provides a breakdown of the analysis process of provided docuemnts. This handler expects a (single) content stream of the following format:

      <docs>
          <doc>
              <field name="id">1</field>
              <field name="name">The Name</field>
              <field name="text">The Text Value</field>
          <doc>
          <doc>...</doc>
          <doc>...</doc>
          ...
      </docs>

Note: Each document must contain a field which serves as the unique key. This key is used in the returned response to assoicate an analysis breakdown to the analyzed document.

Like the `FieldAnalysisRequestHandler`, this handler also supports query analysis by sending either an "analysis.query" or "q" request paraemter that holds the query text to be analyzed. It also supports the "analysis.showmatch" parameter which when set to `true`, all field tokens that match the query tokens will be marked as a "match".

Since:
  solr 1.4
Version:
  $Id: DocumentAnalysisRequestHandler.java 1075090 2011-02-27 17:20:30Z uschindler $

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.handler.AnalysisRequestHandlerBase
`AnalysisRequestHandlerBase.AnalysisContext, AnalysisRequestHandlerBase.ListBasedTokenStream, AnalysisRequestHandlerBase.TokenTrackingAttribute, AnalysisRequestHandlerBase.TokenTrackingAttributeImpl`

Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean
`SolrInfoMBean.Category`

Field Summary
`static org.slf4j.Logger` | `log`

Fields inherited from class org.apache.solr.handler.RequestHandlerBase
`appends, defaults, httpCaching, initArgs, invariants`

Constructor Summary
`DocumentAnalysisRequestHandler()`

Method Summary
`protected NamedList` | `doAnalysis(SolrQueryRequest req)` Performs the analysis based on the given solr request and returns the analysis result as a named list.
`String` | `getDescription()` Simple one or two line description
`String` | `getSource()` CVS Source, SVN Source, etc
`String` | `getSourceId()` CVS Id, SVN Id, etc
`String` | `getVersion()` Simple common usage version, e.g.
`void` | `init(NamedList args)` Initializes the `SolrRequestHandler` by creating three `SolrParams` named.

Methods inherited from class org.apache.solr.handler.AnalysisRequestHandlerBase
`analyzeValue, analyzeValue, getQueryTokenSet, handleRequestBody`

Methods inherited from class org.apache.solr.handler.RequestHandlerBase
`getCategory, getDocs, getInitArgs, getName, getStatistics, handleRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final org.slf4j.Logger log

Constructor Detail

### DocumentAnalysisRequestHandler

    public DocumentAnalysisRequestHandler()

Method Detail

### init

    public void init(NamedList args)

  Description copied from class: `RequestHandlerBase`
  Initializes the `SolrRequestHandler` by creating three `SolrParams` named.

  Name | Description
  --- | ---
  defaults | Contains all of the named arguments contained within the list element named "defaults".
  appends | Contains all of the named arguments contained within the list element named "appends".
  invariants | Contains all of the named arguments contained within the list element named "invariants".

  Example:

       <lst name="defaults">
       <str name="echoParams">explicit</str>
       <str name="qf">text^0.5 features^1.0 name^1.2 sku^1.5 id^10.0</str>
       <str name="mm">2<-1 5<-2 6<90%</str>
       <str name="bq">incubationdate_dt:[* TO NOW/DAY-1MONTH]^2.2</str>
       </lst>
       <lst name="appends">
       <str name="fq">inStock:true</str>
       </lst>

       <lst name="invariants">
       <str name="facet.field">cat</str>
       <str name="facet.field">manu_exact</str>
       <str name="facet.query">price:[* TO 500]</str>
       <str name="facet.query">price:[500 TO *]</str>
       </lst>

  Specified by:
    `init` in interface `SolrRequestHandler`
  Overrides:
    `init` in class `RequestHandlerBase`
  Parameters:
    `args` - The `NamedList` to initialize from
  See Also:
    `RequestHandlerBase.handleRequest(org.apache.solr.request.SolrQueryRequest, org.apache.solr.response.SolrQueryResponse)`, `RequestHandlerBase.handleRequestBody(org.apache.solr.request.SolrQueryRequest, org.apache.solr.response.SolrQueryResponse)`, `SolrPluginUtils.setDefaults(org.apache.solr.request.SolrQueryRequest, org.apache.solr.common.params.SolrParams, org.apache.solr.common.params.SolrParams, org.apache.solr.common.params.SolrParams)`, `See also the example solrconfig.xml located in the Solr codebase (example/solr/conf).`

### doAnalysis

    protected NamedList doAnalysis(SolrQueryRequest req)
                            throws Exception

  Performs the analysis based on the given solr request and returns the analysis result as a named list.

  Specified by:
    `doAnalysis` in class `AnalysisRequestHandlerBase`
  Parameters:
    `req` - The solr request.
  Returns:
    The analysis result as a named list.
  Throws:
    `Exception` - When analysis fails.

### getDescription

    public String getDescription()

  Description copied from interface: `SolrInfoMBean`
  Simple one or two line description

  Specified by:
    `getDescription` in interface `SolrInfoMBean`
  Specified by:
    `getDescription` in class `RequestHandlerBase`

### getVersion

    public String getVersion()

  Description copied from interface: `SolrInfoMBean`
  Simple common usage version, e.g. 2.0

  Specified by:
    `getVersion` in interface `SolrInfoMBean`
  Specified by:
    `getVersion` in class `RequestHandlerBase`

### getSourceId

    public String getSourceId()

  Description copied from interface: `SolrInfoMBean`
  CVS Id, SVN Id, etc

  Specified by:
    `getSourceId` in interface `SolrInfoMBean`
  Specified by:
    `getSourceId` in class `RequestHandlerBase`

### getSource

    public String getSource()

  Description copied from interface: `SolrInfoMBean`
  CVS Source, SVN Source, etc

  Specified by:
    `getSource` in interface `SolrInfoMBean`
  Specified by:
    `getSource` in class `RequestHandlerBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD